## NAME

r.pack - Exports a raster map as GRASS GIS specific archive file

## KEYWORDS

raster, export, copying

## SYNOPSIS

r.pack
r.pack --help
r.pack [-c] input=name [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-c
  Switch the compression off
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of raster map to pack up
output=name
  Name for output file (default is <input>.pack)

## DESCRIPTION

r.pack collects raster map elements and support files and compressed them using gzip algorithm for copying. The resulting packed file can be afterwards unpacked within a GRASS GIS session by r.unpack. Since the selected raster map is not exported but natively stored, the current region is not respected. Hence r.pack stores the entire raster map.

## NOTES

By default, the name of the pack file is determined from the input parameter. Optionally a different name can be given by output parameter. Currently only 2D raster maps are supported.

## EXAMPLE

Pack up the entire raster map aspect into aspect.pack file:

    r.pack input=aspect

The packed raster map file aspect.pack can afterwards be unpacked by

    r.unpack input=aspect.pack

## SEE ALSO

r.unpack, r.in.gdal, g.copy, r.proj, v.unpack

## AUTHORS

Original Bash script written by Hamish Bowman, Otago University, New Zealand
Converted to Python and updated for GRASS 7 by Martin Landa, Czech Technical University in Prague, Czech Republic

## SOURCE CODE

Available at: r.pack source code (history)

Latest change: Thursday Feb 03 11:10:06 2022 in commit: 547ff44e6aecfb4c9cbf6a4717fc14e521bec0be

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.2.2dev Reference Manual